<?php
		/*
		Plugin Name: EZBuyButton Buy Book Widget for Authors
		
		Plugin URI: http://www.ezbuybutton.com
		Description: EZBuyButton Buy Book Widget for Authors plugin allows you to embed the EZBuyButton on Posts, Pages, and on the Sidebar. EZBuyButton is a "buy now" widget for books. Authors or publishers can create an EZBuyButton for each of their books, and place it on their WordPress site, to increase their book sales. This buy book widget allows your website visitors to select which device they'd like to use to read your book, and then select their preferred retail store that they'd like to purchase your book from. Your visitor will then be directed to the correct country specific retail store according to their geolocation so that they can now buy your book. This gives your visitors full control on how and where they'd like to purchase and read your book. This ultimately translates to more book sales, because you are laser targeting your potential book buyer's preferences. By first registering for a FREE account at our website, EZBuyButton.com, you will be able to customize the exact retail stores you want included, as well as the design, style, and functionality of your EZBuyButton. Once you've created your customized EZBuyButton at our website, you just have to copy & paste the Embed code into your WordPress site after you've installed this plugin. If you have questions or need more information please go to http://www.ezbuybutton.com/wordpress-plugin
		Author: Jay Siva
		Version: 1.0
		Author URI:  http://www.ezbuybutton.com
		*/
global $post; 


register_activation_hook(__FILE__,'pro_install');
register_deactivation_hook(__FILE__ , 'pro_uninstall' );

function pro_install()
{
    global $wpdb;
    $table = PRO_TABLE_PREFIX."embed_code";
    $structure = "CREATE TABLE `embed_code` (
		`id` INT NOT NULL AUTO_INCREMENT ,
		`title` VARCHAR( 250 ) NOT NULL ,
		`status` INT( 10 ) NOT NULL ,
		PRIMARY KEY ( `id` )
		) ENGINE = MYISAM";
    $wpdb->query($structure);
	  // Populate table
    $wpdb->query("INSERT INTO `embed_code` (
		`id` ,
		`title` ,
		`status`
		)
		VALUES (
		'1' , 'page', '0'
		), (
		'2' , 'post', '0'
		), (
        '3', 'button_place', '0'
            );");
}
function pro_uninstall()
{
    global $wpdb;
    $table = PRO_TABLE_PREFIX."embed_code";
    $structure = "drop table if exists `embed_code`";
    $wpdb->query($structure);  
}





function oscimp_ad_admin() 
 {
		include('embed_code.php');
                    
 }


function oscimp_ad_admin_actions()
 {
                           
        add_options_page("Embed-Code", "EZBuyButton Settings", 10, "Embed-Code", "oscimp_ad_admin");
 }

		add_action('admin_menu', 'oscimp_ad_admin_actions');
				
				
		add_action('add_meta_boxes', 'create_embeded_code_meta_box');
		
		add_action('save_post', 'save_embeded_code_meta_box');

function create_embeded_code_meta_box() 
 {
		global $post;
		global $wpdb;
		$data1=$data1=$wpdb->get_row("SELECT * FROM embed_code WHERE title = 'page'", ARRAY_A);
	 
		if($data1[status]=='1')
		{
		  add_meta_box(
				'embeded_code', __('EZBuyButton Embed Code', '_embeded_code_domain'), 'embeded_code_inner_custom_box', 'page'
		              );
		}
		
		$data2=$wpdb->get_row("SELECT * FROM embed_code WHERE title = 'post'", ARRAY_A); 
		if($data2['status']=='1'){
		add_meta_box(
				'embeded_code', __('EZBuyButton Embed Code', '_embeded_code_domain'), 'embeded_code_inner_custom_box', 'post'
		);
	}
	   
 }

function save_embeded_code_meta_box($post_id) {
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
        return;

    if (!wp_verify_nonce($_POST['_embeded_code_noncename'], plugin_basename(__FILE__)))
        return;


    // Check permissions
    if ('page' == $_POST['post_type']) 
	{
        if (!current_user_can('edit_page', $post_id))
            return;
    }
    else {
        if (!current_user_can('edit_post', $post_id))
            return;
    }

    $post_ID = $_POST['post_ID'];

    $mydata = $_POST['_embeded_code_field'];

    update_post_meta($post_ID, '_embeded_code_field', $mydata);
	
}

function embeded_code_inner_custom_box($post) 
{
			
			
			wp_nonce_field(plugin_basename(__FILE__), '_embeded_code_noncename');
			 echo '<label for="_embeded_code_field">';
			_e("EZBuyButton Embed Code", '_embeded_code_domain');
			echo '</label> <br />';
			echo '<textarea  name="_embeded_code_field" rows="5" cols="80">'.get_post_meta($post->ID, '_embeded_code_field',true).'</textarea>';

}

			
			add_filter('the_content', "add_button");
			
			
			function add_button($content){global $post;global $wpdb;
			$data3=$wpdb->get_row("SELECT * FROM embed_code WHERE title = 'page'", ARRAY_A); 
			$data4=$wpdb->get_row("SELECT * FROM embed_code WHERE title = 'post'", ARRAY_A); 
            $data5=$wpdb->get_row("SELECT * FROM embed_code WHERE title = 'button_place'", ARRAY_A);  
             
           $content='';
if(isset($data5['status']) && $data5['status']=='0')
{
            $content = $post->post_content."<br><br>";
}

if(get_post_type( $post )=='page' && $data3['status']=='1')
 {
	       $content.=get_post_meta($post->ID, '_embeded_code_field',true)."<br><br>";
 }


if(isset($data5['status']) && $data4['status']=='1')
 {
			if (is_single()) 
			{
			 $content.=get_post_meta($post->ID, '_embeded_code_field',true)."<br><br>";
			}
 }
 
 

if(isset($data5['status']) && $data5['status']=='1')

{
          $content.= $post->post_content."<br><br><br>";
}
           
		   
		   echo $content;


}


class EmbedCode_Widget extends WP_Widget {  
   
    public function __construct() {  
         
        parent::__construct(  
            'embedcode', // Base ID  
            'EZBuyButton Embed Code', // Name  
            array(  
                'description' => __( 'Display the EZBuyButton in the Sidebar', 'text_domain' )  
            ) // Args  
        );  
    }  
   function form($instance)
  {
    $instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
    $title = $instance['title'];
	$title1 = $instance['title1'];
	$title2 = $instance['title2'];
?>
  <p>
  
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label> 
<input class="widefat" id="" name="<?php echo $this->get_field_name('title1'); ?>" type="text" value="<?php echo esc_attr( $title1 ); ?>" /><br />
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>">Book Cover Image Url :</label>  
<input class="widefat" id="" name="<?php echo $this->get_field_name('title2'); ?>" type="text" value="<?php echo esc_attr( $title2 ); ?>" /></p> 
 <label for="<?php echo $this->get_field_id( 'title' ); ?>">EZBuyButton Embed Code :</label> 
  <textarea class="widefat" id="<?php //echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>"rows="8" cols="80" ><?php echo $title; ?></textarea></label></p>
<?php
  }
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
	
    $instance['title'] = $new_instance['title'];
	$instance['title1'] = $new_instance['title1'];
	$instance['title2'] = $new_instance['title2'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
   echo $before_widget;
  $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
  $title = $instance['title'];
  $title1 = $instance['title1'];
  $title2 = $instance['title2'];
  ?><style type="text/css">
.widget-title {
text-transform: none !important;
letter-spacing: 0em;
              }
</style>

<?php

 echo "<div style='font-weight: bold;color: #1982D1; padding-bottom:6px;font-size: 13px;'>".$title1."</div>";
 echo "<div style='padding-bottom:5px;'><img src='".$title2."' alt='' /></div>";
 
    if (!empty($title))
      echo $before_title . $title . $after_title;;
 
    // WIDGET CODE GOES HERE
    
 
    echo $after_widget;
  }
}  
add_action( 'widgets_init', create_function( '', 'register_widget( "EmbedCode_Widget" );' ) );  
?>
